# $Revision: 1.39.2.1 $, $Date: 2007/11/05 08:45:08 $
#
# TODO: Anybody knows, why it will not build,
#	when kernel-headers are installed?
#
Summary:	Wireless network sniffer
Summary(pl.UTF-8):	Sniffer sieci bezprzewodowych
Name:		kismet
Version:	2007_10_R1
%define	_ver	2007-10-R1
Release:	3
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.kismetwireless.net/code/%{name}-%{_ver}.tar.gz
# Source0-md5:	2100c667e69db0cde35fa2d06c8516e2
Patch0:		%{name}-c++.patch
URL:		http://www.kismetwireless.net/
BuildRequires:	ImageMagick-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	libpcap-devel >= 2:0.9.4-1
BuildRequires:	libstdc++-devel
BuildRequires:	libwiretap-devel
BuildRequires:	ncurses-ext-devel
# it uses internal structures - so strict deps
%requires_eq	libpcap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kismet is a 802.11b wireless network sniffer. It is capable of
sniffing using almost any wireless card supported in Linux, including
Prism2 based cards supported by the Wlan-NG project (Linksys, Dlink,
Rangelan, etc), cards which support standard packet capture via
libpcap (Cisco), and limited support for cards without RF Monitor
support.

%description -l pl.UTF-8
Kismet to sniffer bezprzewodowych sieci 802.11b. Jest zdolny do
sniffowania używając prawie dowolnych bezprzewodowych kart sieciowych
w Linuksie włączając w to karty Prism2 wspierane przez projekt Wlan-NG
(Linksys, Dlink, Rangelan, etc), kart które umożliwiają
przechwytywanie pakietów poprzez libpcap (Cisco), oraz ograniczone
wsparcie dla kart bez obsługi Monitora RF.

%prep
%setup -q -n %{name}-%{_ver}
%patch0 -p1

sed -i -e 's#-o $(INSTUSR)##g' -e 's#-o $(INSTGRP)##g' Makefile.in

%build
cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
CPPFLAGS="-I/usr/include/ncurses -DDBUS_API_SUBJECT_TO_CHANGE"
%configure \
	--enable-syspcap \
	--with-linuxheaders=no \
	--with-ethereal=%{_includedir} \
%ifarch arm
	--enable-zaurus
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_datadir}}

%{__make} install \
	INSTGRP=$(id -g) \
	MANGRP=$(id -g) \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	exec_prefix=$RPM_BUILD_ROOT%{_prefix} \
	ETC=$RPM_BUILD_ROOT%{_sysconfdir} \
	BIN=$RPM_BUILD_ROOT%{_bindir} \
	SHARE=$RPM_BUILD_ROOT%{_datadir}/%{name} \
	MAN=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/* CHANGELOG CHANGELOG-OLD README TODO
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/*_manuf
%{_datadir}/%{name}
%{_mandir}/man?/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kismet.spec,v $
Revision 1.39.2.1  2007/11/05 08:45:08  glen
- for dbus on ac; rel 3

Revision 1.39  2007/11/04 22:10:00  arekm
- rel 2

Revision 1.38  2007/10/13 23:51:24  dzeus
- rel. 1

Revision 1.37  2007/10/13 10:07:46  darekr
- added TODO to %doc

Revision 1.36  2007/10/13 10:01:13  adamg
- updated to 200_10_R1

Revision 1.35  2007/08/10 19:23:30  arekm
- rel 2

Revision 1.34  2007/06/24 11:47:33  arekm
- rel 2; build fixed

Revision 1.33  2007/06/03 20:47:08  prism
- up to 2007_01_R1b

Revision 1.32  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.30  2006/10/07 12:02:07  arekm
- rel 3; rebuild

Revision 1.29  2006/06/25 10:34:43  arekm
- rebuild with new libpcap

Revision 1.28  2006/04/13 18:35:49  arekm
- up to 2006_04_R1

Revision 1.27  2006/04/05 14:08:07  hawk
- release 3 (rebuild with new ImageMagick)

Revision 1.26  2005/12/13 12:56:54  glen
- adapterized (sorted %verify attrs)

Revision 1.25  2005/10/16 18:11:16  arekm
- rel 2

Revision 1.24  2005/10/04 18:35:59  blues
- release 1

Revision 1.23  2005/08/19 07:16:10  grzegorz
- up to 2005-08-R1 security!!!
- cleanup

Revision 1.22  2005/06/28 00:17:58  zbyniu
- added BR: libstdc++-devel; removed BRs required by other BRs

Revision 1.21  2005/06/23 10:11:34  grzegorz
- up to 2005-06-R1

Revision 1.20  2005/04/29 06:57:27  qwark
- patch to build kismet on machine with kernel-headers installed

Revision 1.19  2005/04/17 06:18:29  snurf
- commented patch0 and patch1 (not needed anymore?)
- some cleanups and missing br's

Revision 1.18  2005/04/12 22:18:00  qboosh
- use standard buildroot

Revision 1.17  2005/04/12 18:04:54  speedo
- update to 2005.04.R1
- _ver added

Revision 1.16  2004/12/10 23:58:55  ankry
- rel. 5

Revision 1.15  2004/10/18 21:49:50  paladine
- spelling fix

Revision 1.14  2004/08/11 10:04:26  qboosh
- BR: ncurses-ext-devel

Revision 1.13  2004/06/21 00:36:48  undefine
- release 4 to rebuild with libpcap 0.8.3

Revision 1.12  2004/03/20 11:18:05  qboosh
- release 3

Revision 1.11  2004/03/20 10:57:53  qboosh
- refresh config.sub for amd64

Revision 1.10  2004/01/18 09:18:08  qboosh
- added libpcap epoch

Revision 1.9  2004/01/18 02:11:03  arekm
- use libwiretap

Revision 1.8  2004/01/16 13:08:31  qboosh
- added acfix,pcap patches, build with system libpcap 0.8.x

Revision 1.7  2004/01/15 22:53:51  zagrodzki
- updated to 3.0.1

Revision 1.6  2003/05/28 12:59:21  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:49:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/28 18:10:28  misi3k
- updated to 2.8.1
- removed misc_fix patch (not needed)

Revision 1.3  2003/01/18 22:52:01  juandon
- removed two lines with define

Revision 1.2  2002/09/20 11:10:44  ankry
- fixed source URL

Revision 1.1  2002/09/04 18:52:24  misiek
- initial pld release
